Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.event.response
Class SpamScoreListener

    java.lang.Object
      net.sourceforge.pebble.event.response.BlogEntryResponseListenerSupport
          net.sourceforge.pebble.event.response.SpamScoreListener

All Implemented Interfaces:
  CommentListener, TrackBackListener

    public class SpamScoreListener

extends BlogEntryResponseListenerSupport

Checks the spam score of comments and TrackBacks and if greater than the threshold, marks them as rejected.

Author:
  Simon Brown

Field Summary
`static java.lang.String` | `COMMENT_THRESHOLD_KEY` the name of the threshold property for comments
`static int` | `DEFAULT_THRESHOLD` the default threshold for the spam score
`static java.lang.String` | `TRACKBACK_THRESHOLD_KEY` the name of the threshold property for TrackBacks

Constructor Summary
`SpamScoreListener()`

Method Summary
`protected void` | `blogEntryResponseAdded(Response response)` Called when a comment or TrackBack has been added.

Methods inherited from class net.sourceforge.pebble.event.response.BlogEntryResponseListenerSupport
`blogEntryResponseApproved, blogEntryResponseRejected, blogEntryResponseRemoved, commentAdded, commentApproved, commentRejected, commentRemoved, trackBackAdded, trackBackApproved, trackBackRejected, trackBackRemoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_THRESHOLD

    public static final int DEFAULT_THRESHOLD

  the default threshold for the spam score

  See Also:
    Constant Field Values

### COMMENT_THRESHOLD_KEY

    public static final java.lang.String COMMENT_THRESHOLD_KEY

  the name of the threshold property for comments

  See Also:
    Constant Field Values

### TRACKBACK_THRESHOLD_KEY

    public static final java.lang.String TRACKBACK_THRESHOLD_KEY

  the name of the threshold property for TrackBacks

  See Also:
    Constant Field Values

Constructor Detail

### SpamScoreListener

    public SpamScoreListener()

Method Detail

### blogEntryResponseAdded

    protected void blogEntryResponseAdded(Response response)

  Called when a comment or TrackBack has been added.

  Overrides:
    `blogEntryResponseAdded` in class `BlogEntryResponseListenerSupport`
  Parameters:
    `response` - a Response

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.